package com.steerinfo.baseinfo.meterbasesystemnews.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="APP车辆司机通告")
public class MeterBaseSystemNews implements IBasePO<String> {
    /**
     * 车辆消息编号(CAR_NEWS_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="车辆消息编号",required=true)
    private String carNewsNo;

    /**
     * 车辆(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车辆",required=false)
    private String carNo;

    /**
     * 系统消息编号(SYSTEM_MESSAGE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="系统消息编号",required=false)
    private String systemMessageNo;

    /**
     * 是否已读（0:未读，1：已读）(IS_READ,VARCHAR,1)
     */
    @ApiModelProperty(value="是否已读（0:未读，1：已读）",required=false)
    private String isRead;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.carNewsNo;
    }

    @Override
    public void setId(String carNewsNo) {
        this.carNewsNo = carNewsNo == null ? null : carNewsNo.trim();
    }

    public String getCarNewsNo() {
        return carNewsNo;
    }

    public void setCarNewsNo(String carNewsNo) {
        this.carNewsNo = carNewsNo == null ? null : carNewsNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getSystemMessageNo() {
        return systemMessageNo;
    }

    public void setSystemMessageNo(String systemMessageNo) {
        this.systemMessageNo = systemMessageNo == null ? null : systemMessageNo.trim();
    }

    public String getIsRead() {
        return isRead;
    }

    public void setIsRead(String isRead) {
        this.isRead = isRead == null ? null : isRead.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", carNewsNo=").append(carNewsNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", systemMessageNo=").append(systemMessageNo);
        sb.append(", isRead=").append(isRead);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}